#!/bin/bash

set -euo pipefail

root_set=$(sudo zfs list -Ho name /)

# danger zone
mv "$HOME" "$HOME-backup"
sudo zfs create -p "$root_set$HOME"
sudo zfs allow $(whoami) mount,create,rollback,snapshot "$root_set$HOME"
rsync -aAX "$HOME-backup" "$HOME"

sudo zfs create -p "$root_set/srv/beszel"

