#!/bin/bash

set -euo pipefail

sudo apt update
sudo apt upgrade

sudo apt install -y \
    btop \
    fail2ban \
    python3 \
    python3-pip \
    vim

sudo cp "$HOME/.vimrc" /root/.vimrc

./zfs.sh
./sshd.sh
./nginx.sh
./ufw.sh
./podman.sh
./unattended.sh
./beszel.sh
